declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly options: {
        readonly type: import("vue").PropType<any>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly border: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
    readonly originalStyle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly KeepCursorInEnd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly merge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly options: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly border: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly width: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
        readonly originalStyle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly KeepCursorInEnd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly merge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{
        onBlur?: (codeMirror: any, e: any) => any;
        onChange?: (v: any) => any;
        onFocus?: (codeMirror: any, e: any) => any;
        onKeyup?: (codeMirror: any, e: any) => any;
        onScroll?: (codeMirror: any) => any;
        "onUpdate:value"?: (v: any) => any;
    }> & {}>;
    emits: ((event: "blur", codeMirror: any, e: any) => void) & ((event: "change", v: any) => void) & ((event: "focus", codeMirror: any, e: any) => void) & ((event: "keyup", codeMirror: any, e: any) => void) & ((event: "scroll", codeMirror: any) => void) & ((event: "update:value", v: any) => void);
    codemirrorRef: import("vue").Ref<any, any>;
    newValue: import("vue").WritableComputedRef<string, string>;
    onChange: (v: any) => void;
    onBlur: (codeMirror: any, e: any) => void;
    onFocus: (codeMirror: any, e: any) => void;
    onScroll: (codeMirror: any) => void;
    onKeyup: (codeMirror: any, e: any) => void;
    codemirrorExpose: {
        cminstance(): any;
        destroy(): any;
        refresh(): any;
        resize(): any;
    };
    readonly Codemirror: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:value': (v: any) => boolean;
    change: (v: any) => boolean;
    blur: (codeMirror: any, e: any) => any;
    focus: (codeMirror: any, e: any) => any;
    scroll: (codeMirror: any) => boolean;
    keyup: (codeMirror: any, e: any) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly options: {
        readonly type: import("vue").PropType<any>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly border: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "100%", boolean>;
    readonly originalStyle: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly KeepCursorInEnd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly merge: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
}>> & Readonly<{
    onBlur?: (codeMirror: any, e: any) => any;
    onChange?: (v: any) => any;
    onFocus?: (codeMirror: any, e: any) => any;
    onKeyup?: (codeMirror: any, e: any) => any;
    onScroll?: (codeMirror: any) => any;
    "onUpdate:value"?: (v: any) => any;
}>, {
    readonly value: string;
    readonly width: string;
    readonly placeholder: string;
    readonly height: string;
    readonly border: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly originalStyle: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly KeepCursorInEnd: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly merge: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
